Bug 989510 - Win2012r2 black screen and stuck after final reboot during os installation(using scsi-hd and aio=threads)
Win2012r2 black screen and stuck after final reboot during os installation(us...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 08:10 EDT by Xiaoqing Wei
Modified: 2014-10-28 05:13 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-28 05:13:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
all debug file - win2012r2 installation black screen (353.75 KB, application/x-xz)
2014-01-07 22:34 EST, CongLi
no flags Details

  None (edit)
Description Xiaoqing Wei 2013-07-29 08:10:13 EDT
Description of problem:

Win2012r2 black screen and stuck after final reboot during os installation(using virtio-hd and aio=threads)

Version-Release number of selected component (if applicable):

kernel-3.10.0-2.el7.x86_64
qemu-kvm-1.5.2-1.el7.x86_64
virtio-win-prewhql-65

How reproducible:
2/10

Steps to Reproduce:
1.
qemu-kvm -monitor stdio \
    -S \
    -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130726-143052-9Z2qISeN,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130726-143052-9Z2qISeN,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130726-143052-9Z2qISeN,path=/tmp/seabios-20130726-143052-9Z2qISeN,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130726-143052-9Z2qISeN,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,addr=0x5 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/win2012r2-64.qcow2',if=none,id=virtio-scsi-id0,media=disk,cache=none,snapshot=off,format=qcow2,aio=threads \
    -device scsi-hd,drive=virtio-scsi-id0 \
    -device e1000,netdev=idODbbMw,mac='9a:48:49:4a:4b:4c',bus=pci.0,addr=0x3,id='idcKhjhx' \
    -netdev tap,id=idODbbMw \
    -m 2048 \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 \
    -cpu 'SandyBridge' \
    -M pc \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/ISO/Win2012R2/en_windows_server_2012_r2_datacenter_preview_x64_dvd_2358570.iso',if=none,id=virtio-scsi-id1,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi-id1 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/windows/winutils.iso',if=none,id=virtio-scsi-id2,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi-id2 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/windows/virtio-win.iso',if=none,id=virtio-scsi-id3,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi-id3 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/win2012r2-64/answer.vfd',if=none,id=fdc0-0-0,media=disk,readonly=off,format=raw \
    -global isa-fdc.driveA=fdc0-0-0 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga std \
    -rtc base=localtime,clock=host,driftfix=slew  \
    -boot order=cdn,once=d,menu=off  \
    -enable-kvm

2.
3.

Actual results:
Win2012r2 black screen and stuck after final reboot
last for at least 30mins before vm killed.
Expected results:
installation finished successfully, not stuck

Additional info:
1) this issue didnt observed when using aio=native (also 10 attemps)
2) after issue 'system_reset' in monitor, the guest would restart and finish the installation
Comment 3 Asias He 2013-08-04 22:28:22 EDT
Do you see this issue if you install windows using ide cdrom instead of scsi cdrom?
Only win2012 fails?
BTW, you probably mean scsi-hd instead of virtio-hd here.
Comment 4 Xiaoqing Wei 2013-08-04 22:46:51 EDT
(In reply to Asias He from comment #3)

Hi Asias,

> Do you see this issue if you install windows using ide cdrom instead of scsi
> cdrom?

nope, this is found when using autotest, it would generate ide cdrom only when the hard drive is ide, I would try manually reproduce

> Only win2012 fails?

Win2012 works fine, only met this on win2012r2(preview though)

> BTW, you probably mean scsi-hd instead of virtio-hd here.

oh yes, thx for pointing this, corrected the typo in the summary.
Comment 8 CongLi 2014-01-07 22:30:05 EST
Hit this bug on version:

kernel-3.10.0-65.el7.x86_64
qemu-kvm-rhev-1.5.3-31.el7.x86_64
virtio-win-prewhql-0.1-74.iso

Win2012r2 installation with virtio-scsi but aio=native :

-drive id=drive_image1,if=none,cache=none,snapshot=off,aio=native,file=/home/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/win2012r2-64-virtio.qcow2 \
-device scsi-hd,id=image1,drive=drive_image1 \
Comment 9 CongLi 2014-01-07 22:34:00 EST
Created attachment 846920 [details]
all debug file - win2012r2 installation black screen

Note You need to log in before you can comment on or make changes to this bug.